Menu icon Foundation
Foundation no longer working on my mac

Hi all - title says it all. Foundation refuses to work on my mac - which is worrying! Both libsass and compass versions are giving errors. With setting up a new compass project I get to "bundle", before it does this:

Wilfs-MBP:projectxbrewing2 wilfmfhorsfall$ bundle
Fetching gem metadata from https://rubygems.org/...........
Fetching version metadata from https://rubygems.org/..
Installing chunky_png 1.3.3
Installing multi_json 1.10.1
Installing sass 3.4.9
Installing compass-core 1.0.1
Installing compass-import-once 1.0.5
Installing rb-fsevent 0.9.4

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/include/ruby.h


Gem files will remain installed in /var/folders/wk/5v3sw81s667_qryqxnpmnw4h0000gp/T/bundler20150423-12001-1sx1p49/ffi-1.9.6/gems/ffi-1.9.6 for inspection.
Results logged to /var/folders/wk/5v3sw81s667_qryqxnpmnw4h0000gp/T/bundler20150423-12001-1sx1p49/ffi-1.9.6/gems/ffi-1.9.6/ext/ffi_c/gem_make.out
An error occurred while installing ffi (1.9.6), and Bundler cannot continue.
Make sure that `gem install ffi -v '1.9.6'` succeeds before bundling.
            

         

And then I can't go any further. With Libsass this happens:

Wilfs-MBP:Website wilfmfhorsfall$ foundation new someproject --libsass
Creating ./someproject
      create  someproject
remote: Counting objects: 205, done.
remote: Total 205 (delta 0), reused 0 (delta 0), pack-reused 205
Receiving objects: 100% (205/205), 239.14 KiB | 254.00 KiB/s, done.
Resolving deltas: 100% (81/81), done.
Installing dependencies with bower...
         run  npm install from "./someproject"
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/node-sass, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt-contrib-watch, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt-sass, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/wilfmfhorsfall/Documents/Website/someproject/npm-debug.log
         run  grunt build from "./someproject"
grunt-cli: The grunt command line interface. (v0.1.13)

Fatal error: Unable to find local grunt.

If you're seeing this message, either a Gruntfile wasn't found or grunt
hasn't been installed locally to your project. For more information about
installing and configuring grunt, please see the Getting Started guide:

http://gruntjs.com/getting-started
./someproject was created
Wilfs-MBP:Website wilfmfhorsfall$ 

            

         

I've tried uninstalling and reinstalling grunt, bower and foundation. I don't know what's caused this, and it's seriously holding up some work I need to get done.

Any help given would be very much appreciated!

I'm running OSX Yosemite 10.10.1

Thanks!

FoundationlibsasscompassbowerGruntnpmruby

Hi all - title says it all. Foundation refuses to work on my mac - which is worrying! Both libsass and compass versions are giving errors. With setting up a new compass project I get to "bundle", before it does this:

Wilfs-MBP:projectxbrewing2 wilfmfhorsfall$ bundle
Fetching gem metadata from https://rubygems.org/...........
Fetching version metadata from https://rubygems.org/..
Installing chunky_png 1.3.3
Installing multi_json 1.10.1
Installing sass 3.4.9
Installing compass-core 1.0.1
Installing compass-import-once 1.0.5
Installing rb-fsevent 0.9.4

Gem::Installer::ExtensionBuildError: ERROR: Failed to build gem native extension.

    /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/bin/ruby extconf.rb
mkmf.rb can't find header files for ruby at /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/ruby/include/ruby.h


Gem files will remain installed in /var/folders/wk/5v3sw81s667_qryqxnpmnw4h0000gp/T/bundler20150423-12001-1sx1p49/ffi-1.9.6/gems/ffi-1.9.6 for inspection.
Results logged to /var/folders/wk/5v3sw81s667_qryqxnpmnw4h0000gp/T/bundler20150423-12001-1sx1p49/ffi-1.9.6/gems/ffi-1.9.6/ext/ffi_c/gem_make.out
An error occurred while installing ffi (1.9.6), and Bundler cannot continue.
Make sure that `gem install ffi -v '1.9.6'` succeeds before bundling.
            

         

And then I can't go any further. With Libsass this happens:

Wilfs-MBP:Website wilfmfhorsfall$ foundation new someproject --libsass
Creating ./someproject
      create  someproject
remote: Counting objects: 205, done.
remote: Total 205 (delta 0), reused 0 (delta 0), pack-reused 205
Receiving objects: 100% (205/205), 239.14 KiB | 254.00 KiB/s, done.
Resolving deltas: 100% (81/81), done.
Installing dependencies with bower...
         run  npm install from "./someproject"
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-9fff1e222f16216a.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/node-sass-50aa453fff8512f3.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/node-sass, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-contrib-watch-c071244929b38888.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt-contrib-watch, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>
npm WARN locking Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock'
npm WARN locking     at Error (native)
npm WARN locking  /Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock failed { [Error: EACCES, open '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock']
npm WARN locking   errno: -13,
npm WARN locking   code: 'EACCES',
npm WARN locking   path: '/Users/wilfmfhorsfall/.npm/_locks/grunt-sass-0d3d9d550b6c4137.lock' }
npm ERR! Darwin 14.0.0
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v2.7.4

npm ERR! Attempt to unlock /Users/wilfmfhorsfall/Documents/Website/someproject/node_modules/grunt-sass, which hasn't been locked
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/wilfmfhorsfall/Documents/Website/someproject/npm-debug.log
         run  grunt build from "./someproject"
grunt-cli: The grunt command line interface. (v0.1.13)

Fatal error: Unable to find local grunt.

If you're seeing this message, either a Gruntfile wasn't found or grunt
hasn't been installed locally to your project. For more information about
installing and configuring grunt, please see the Getting Started guide:

http://gruntjs.com/getting-started
./someproject was created
Wilfs-MBP:Website wilfmfhorsfall$ 

            

         

I've tried uninstalling and reinstalling grunt, bower and foundation. I don't know what's caused this, and it's seriously holding up some work I need to get done.

Any help given would be very much appreciated!

I'm running OSX Yosemite 10.10.1

Thanks!

Rafi Benkual over 4 years ago

I see NPM errors.

Try running npm install and bower install